Bug 240070 - Bad metric in lucidatypewriter font
Bad metric in lucidatypewriter font
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: xorg-x11-fonts (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Mayank Jain
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-14 16:33 EDT by Jan "Yenya" Kasprzak
Modified: 2008-04-08 04:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-08 04:22:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A screenshot of gnome-terminal (2.68 KB, image/png)
2007-05-14 16:35 EDT, Jan "Yenya" Kasprzak
no flags Details
chr(1612) in :digraphs (224.83 KB, image/png)
2007-10-03 10:20 EDT, Matěj Cepl
no flags Details
Numeros sign in :digraphs is OK (75.94 KB, image/png)
2007-10-03 10:21 EDT, Matěj Cepl
no flags Details
Reproduction of reporter's problem (113.56 KB, image/png)
2007-10-03 10:22 EDT, Matěj Cepl
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 15381 None None None Never

  None (edit)
Description Jan "Yenya" Kasprzak 2007-05-14 16:33:45 EDT
Description of problem:
The "Numero sign" (U+2116, №) glyph in the LucidaTypewriter font has double
width, but its metric says that it is a single-width character. This causes
incorrect rendering of the text containing this character in the
LucidaTypewriter font.

Version-Release number of selected component (if applicable):
I am not sure from which package this font is, but maybe it is from
xorg-x11-fonts-100dpi-7.1-2.


How reproducible:
100%

Steps to Reproduce:
0. make sure your X11 session runs with the UTF-8 locale
1. run gnome-terminal
2. choose Edit->Current profile from menu
3. clear the checkbox "Use the system terminal font", and set the font to (e.g.
"LucidaTypewriter 14"
3. run vim inside the terminal, and input the numero sign and some character
directly after it.
  
Actual results:
The numero sign is rendered as a double-width character, but because the metric
says it is single-width, the adjacent character overwrites part of it.

Expected results:
Either the numero sign glyph should have a single width (most other monospaced
fonts have this), or the metric should be updated to reflect the actual double
width of the character.

Additional info:
I will attach a screenshot of gnome-terminal.
Comment 1 Jan "Yenya" Kasprzak 2007-05-14 16:35:59 EDT
Created attachment 154686 [details]
A screenshot of gnome-terminal

In this screenshot, the first line contains the numero sign and a "X" character
directly after it, the second line has only the numero sign, the third line has
three double-width Hiragana characters for comparing, and the fourth line
contains digits 1 to 6 as an example of single-width characters.
Comment 2 Matěj Cepl 2007-10-02 17:48:25 EDT
Since this bugzilla report was filed, there have been several updates, which may
have resolved this issue. Users who have experienced this problem are encouraged
to upgrade their system to the latest version of their distribution available.

Please, if you experience this problem on the up-to-date system, let us now in
the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as
INSUFFICIENT_DATA. Thank you.
Comment 3 Jan "Yenya" Kasprzak 2007-10-02 18:45:48 EDT
Pardon me, but I consider your comment being quite rude: I _had_ reported a bug
on an up-to-date system, yet still for five months there has been no reaction
from Fedora maintainers. And then you appear from nowhere, and without even
looking at the problem you threaten with closing the case.

I would think package maintainers consider bug reports being valuable for them.
Some user of their package has not been clueless enough to discard the whole
overhyped "Linux" thing after experiencing a bug, but instead took his time
writing a bug report, so that future users would not experience the same bug. 

Maybe you can enlighten a clueless user like me concerning the "several" updates
of xorg-x11-fonts-100dpi in FC6. As I can see it from my local Fedora mirror,
there has been precisely zero such updates. Is FC6 still a maintained
distribution or not?

I no longer have a FC6 system with X11 here.
FWIW, I have decided to invest even more time into fixing this bug (I really
like the LucidaTypewriter font), and verified the problem still exists in F7
(xorg-x11-fonts-100dpi-7.1-3.fc7). Moreover, it is present even in RHEL5
(xorg-x11-fonts-100dpi-7.1-2.1.el5). I have verified the later remotely
using following commands:

$ gconftool-2 --set /apps/gnome-terminal/profiles/Default/font \
     -t string 'LucidaTypewriter 12'
$ gconftool-2 --set /apps/gnome-terminal/profiles/Default/use_system_font \
     -t bool false
$ Xvfb :5 &
$ DISPLAY=:5 PS1='â„–XY
123' gnome-terminal &
$ xwd -display :5 -root -out x.xwd
$ xwud -in x.xwd

Feel free to reclassify this bug as RHEL5 if it helps you to justify the time
spent with this bug.
Comment 4 Jan "Yenya" Kasprzak 2007-10-02 18:47:01 EDT
Sorry, forgot to change the status back from NEEDINFO
Comment 5 Matěj Cepl 2007-10-03 10:19:08 EDT
Dobrý den,

(the rest in English for those fools who don't understand Czech ;-)). I am sorry
for this -- you were a victim of mass-changing old bugs to NEEDINFO state to
find out whether these bugs are still alive (yes, I should make note about it in
the comment, sorry about it). Note, I have never ask you to upgrade to F7 (or
RHEL5 for that matter) just to run 'yum upgrade' on your current installation.

Now to the current bug. First trying on F7 (because that's my stable working
box) and Rawhide, I have found :digraphs command in vim valuable tool for
testing. By that I found that metric information for Lucida Typewriter is really
for character U+064B and/or the rest of the 064* line.

I am not sure why, but although I can reproduce this in the way you described
(by typing <Ctrl-K>N0 in the insert mode of vim), I cannot reproduce the same
problem for U+2116 in :digraphs. Not sure why.

Anyway, this is clearly reproducable bug in Lucida Typewriter fonts.
Comment 6 Matěj Cepl 2007-10-03 10:20:15 EDT
Created attachment 214681 [details]
chr(1612) in :digraphs
Comment 7 Matěj Cepl 2007-10-03 10:21:09 EDT
Created attachment 214691 [details]
Numeros sign in :digraphs is OK
Comment 8 Matěj Cepl 2007-10-03 10:22:39 EDT
Created attachment 214701 [details]
Reproduction of reporter's problem

ALl these are from F7, but I was in the same way able to reproduce it on
Rawhide, which means that it is probably in every Red Hat distribution
(including RHEL, of course).
Comment 9 Matěj Cepl 2007-10-03 10:23:50 EDT
Switching to devel so as not to loose it when the support of FC6 will be
discontinued in couple of weeks.
Comment 10 Bug Zapper 2008-04-03 20:41:28 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 11 Jan "Yenya" Kasprzak 2008-04-04 04:52:53 EDT
Sorry but those automatic bug closures really annoy me. In the above comments
there is clearly stated that the bug is present in F7 as well, and was
reclassified to "devel" by Matěj Cepl just "in order not to lose it when F6 is
EOLd".

And yes, this bug is still present in F7, F8, _and_ current rawhide. Please do
not attempt to close this bug without a fix in the future :-(
Comment 12 Matěj Cepl 2008-04-04 07:00:28 EDT
Yenyo, sorry for this miscommunication -- of course this bug won't be closed as
expired. I was not participating in this last round of NEEDINFOing, and somebody
apparently forgot to treat Rawhide bugs differently than Fedora bugs. I am sorry
again. Of course, this bug won't be closed just because of lack of communication
here (which is probably more than anything else our problem).
Comment 13 Matěj Cepl 2008-04-04 07:15:52 EDT
Well, I promised not to close this bug for being expired, but OTOH I think this
should be moved upstream to http://bugs.freedesktop.org -- Jain, what do you
think? Should I open upstream bug for this?
Comment 14 Jon Stanley 2008-04-04 09:05:08 EDT
Jan -

We apologize for any inconveinence that the cleanup effort may have caused.  As
you can obviously tell, the process was automated (and will continue to be so in
the future).  Computers can't read comments, but humans can!  Please be assured
that this bug won't be expired.  You're in good hands with Matej :)
Comment 15 Jan "Yenya" Kasprzak 2008-04-07 04:52:01 EDT
I have tried to report this upstream as
http://bugs.freedesktop.org/show_bug.cgi?id=15381 - hopefully I got the Product
and Component name correctly (they are however different than the Fedora package
name - perhaps the info about where to report upstream bugs should be included
in the RPM package metadata.
Comment 16 Matěj Cepl 2008-04-08 04:22:00 EDT
Thank you for registering the bug upstream. We will continue to track the issue
in the centralized upstream bug tracker (and help to fix it), and will review
any bug fixes that become available for consideration in future updates.

Thank you for the bug report.

Note You need to log in before you can comment on or make changes to this bug.